<configuration>
    <conversionRule conversionWord="coloredLevel" converterClass="play.api.Logger$ColoredLevel" />
    <appender name="FILE"
        class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>/var/log/recording-server/recording-server.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>/var/log/recording-server/recording-server.%d{yyyy-MM-dd}.log</fileNamePattern>
            <maxHistory>5</maxHistory>
        </rollingPolicy>
        <encoder>
            <pattern>%date - %coloredLevel %logger{15} - %message%n%xException{5}</pattern>
        </encoder>
    </appender>
    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <pattern>%date - %coloredLevel %logger{15} - %message%n%xException{5}</pattern>
        </encoder>
    </appender>
    <appender name="DOWLOAD_LOG"
        class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>/var/log/recording-server/dowloads.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>/var/log/recording-server/downloads.%d{yyyy-MM-dd}.log</fileNamePattern>
            <maxHistory>14</maxHistory>
        </rollingPolicy>
        <encoder>
            <pattern>%date - %message%n</pattern>
        </encoder>
    </appender>

    <root level="INFO">
        <appender-ref ref="STDOUT" />
        <appender-ref ref="FILE" />
    </root>

    <logger name="application"  level="INFO"></logger>
    <logger name="play"         level="INFO"></logger>
    <logger name="services"     level="INFO"></logger>
    <logger name="controllers"  level="INFO"></logger>
    <logger name="models"  level="INFO"></logger>
    <logger name="controllers.Files" level="info">
        <appender-ref ref="DOWLOAD_LOG"/>
    </logger>

</configuration>
